[Commits] Rev 3656: MDEV-3882 .deb upgrade from mysql to mariadb fails due to apt-get considering it a downgrade. in file:///home/hf/wmar/mdev-3882/

holyfoot at askmonty.org holyfoot at askmonty.org
Sat Feb 2 16:34:02 EET 2013


At file:///home/hf/wmar/mdev-3882/

------------------------------------------------------------
revno: 3656
revision-id: holyfoot at askmonty.org-20130202142217-l8mh6r4f7hkg1p7r
parent: wlad at montyprogram.com-20130130162502-3tnri21saq1bptj0
committer: Alexey Botchkov <holyfoot at askmonty.org>
branch nick: mdev-3882
timestamp: Sat 2013-02-02 18:22:17 +0400
message:
  MDEV-3882 .deb upgrade from mysql to mariadb fails due to apt-get considering it a downgrade.
          Added the Epoch to the version of the mariadb-related packages.
          Now they will always be considered as later by Debian/Ubuntu install tools.
  
  per-file comments:
    debian/autobake-deb.sh
  MDEV-3882 .deb upgrade from mysql to mariadb fails due to apt-get considering it a downgrade.
          Epoch= '1:' added.
-------------- next part --------------
=== modified file 'debian/autobake-deb.sh'
--- a/debian/autobake-deb.sh	2012-12-06 15:34:02 +0000
+++ b/debian/autobake-deb.sh	2013-02-02 14:22:17 +0000
@@ -15,10 +15,12 @@ set -e
 # Buildbot, running the test suite from installed .debs on a clean VM.
 export DEB_BUILD_OPTIONS="nocheck"
 
+DEB_EPOCH="1:"
+
 # Find major.minor version.
 #
 source ./VERSION
-UPSTREAM="${MYSQL_VERSION_MAJOR}.${MYSQL_VERSION_MINOR}.${MYSQL_VERSION_PATCH}${MYSQL_VERSION_EXTRA}"
+UPSTREAM="${DEB_EPOCH}${MYSQL_VERSION_MAJOR}.${MYSQL_VERSION_MINOR}.${MYSQL_VERSION_PATCH}${MYSQL_VERSION_EXTRA}"
 RELEASE_EXTRA=""
 
 RELEASE_NAME=mariadb



More information about the commits mailing list